Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.search.suggest.analyzing
Class FSTUtil

    java.lang.Object
      org.apache.lucene.search.suggest.analyzing.FSTUtil

    public class FSTUtil

extends Object

Exposes a utility method to enumerate all paths intersecting an `Automaton` with an `FST`.

Nested Class Summary
`static class` | `FSTUtil.Path<T>` Holds a pair (automaton, fst) of states and accumulated output in the intersected machine.

Method Summary
`static
`<T> List<FSTUtil.Path<T>>`
` | `intersectPrefixPaths(Automaton a, FST<T> fst)` Enumerates all minimal prefix paths in the automaton that also intersect the FST, accumulating the FST end node and output for each path.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### intersectPrefixPaths

    public static <T> List<FSTUtil.Path<T>> intersectPrefixPaths(Automaton a,
                                                                 FST<T> fst)
                                                      throws IOException

  Enumerates all minimal prefix paths in the automaton that also intersect the FST, accumulating the FST end node and output for each path.

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.